import Edit from './components/edit';
const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;

registerBlockType('dlm-buttons/download-button', {
	apiVersion: 2,
	title: __('Downloads Button', 'dlm-buttons'),
	icon: 'download',
	keywords: [
		__('test', 'dlm-buttons'),
		'download monitor',
		__('file', 'dlm-buttons'),
	],
	category: 'common',
	attributes: {
		buttonId: {
			type: 'string',
			default: '',
		},
		id: {
			type: 'number',
			default: 0,
		},
		version_id: {
			type: 'number',
			default: 0,
		},
		title: {
			type: 'string',
			default: 'Download Button',
		},
		icon: {
			type: 'string',
			default: '',
		},
		hasIcon: {
			type: 'boolean',
			default: false,
		},
		removeText: {
			type: 'boolean',
			default: false,
		},
		iconPosition: {
			type: 'string',
			default: 'left',
		},
		iconPadding: {
			type: 'object',
			default: {
				top: 0,
				right: 0,
				bottom: 0,
				left: 0,
				after: 'px',
				sync: false,
			},
		},
		iconSize: {
			type: 'object',
			default: {
				size: 24,
				after: 'px',
			}
		},
		template: {
			type: 'string',
			default: 'none',
		},
		templateConfig: {
			type: 'object',
			default: {},
		},
		font: {
			type: 'object',
			default: {
				fontFamily: 'sans-serif',
				fontSize: 16,
				fontWeight: 'normal',
				textTransform: 'none',
				after: 'px',
			},
		},
		padding: {
			type: 'object',
			default: {
				top: 15,
				right: 15,
				bottom: 15,
				left: 15,
				after: 'px',
				sync: false,
			},
		},
		margin: {
			type: 'object',
			default: {
				top: 0,
				right: 0,
				bottom: 0,
				left: 0,
				after: 'px',
				sync: false,
			},
		},
		borderSize: {
			type: 'object',
			default: {
				top: 0,
				right: 0,
				bottom: 0,
				left: 0,
				after: 'px',
				sync: false,
			},
		},
		borderRadius: {
			type: 'object',
			default: {
				top: 0,
				right: 0,
				bottom: 0,
				left: 0,
				after: 'px',
				sync: false,
			},
		},
		borderColor: {
			type: 'string',
			default: '#fff',
		},
		colors: {
			type: 'object',
			default: {
				backgroundColor: '#0094C5',
				textColor: '#fff',
				borderColor: '#fff',
				iconColor: '#fff',
				hoverBackgroundColor: '#0094C5',
				hoverTextColor: '#fff',
				hoverBorderColor: '#fff',
				hoverIconColor: '#fff',
			},
		},
		alignment: {
			type: 'string',
			default: 'left'
		}
	},
	edit: Edit,
	save: () => null,
});
