import React from 'react';
import { AlignmentToolbar, BlockControls } from '@wordpress/block-editor';
import { __ } from '@wordpress/i18n';

export default function ButtonsToolbar({ attributes, setAttributes }) {
	const ALIGNMENT_CONTROLS = [
		{
			icon: 'editor-alignleft',
			title: __( 'Align Button Left', 'dlm-buttons' ),
			align: 'left',
		},
		{
			icon: 'editor-aligncenter',
			title: __( 'Align Button Center', 'dlm-buttons' ),
			align: 'center',
		},
		{
			icon: 'editor-alignright',
			title: __( 'Align Button Right', 'dlm-buttons' ),
			align: 'right',
		},
	];
	const handleAlignmentChange = (newAlignment) => {
		setAttributes({
			alignment: newAlignment,
		});
	};
	return (
		<BlockControls>
			<AlignmentToolbar
				value={attributes.alignment}
				onChange={handleAlignmentChange}
				alignmentControls={ALIGNMENT_CONTROLS}
			/>
		</BlockControls>
	);
}
