import { dashiconsSVG } from './dashiconsSvg';

import DOMPurify, { sanitize } from 'dompurify';
import { renderToString } from '@wordpress/element';


const IconPopover = ({ icon, setAttributes }) => {
	return (
		<div style={{ position: 'relative' }}>
			<div className="dlm-gutenberg-icons-list">
				{Object.keys(dashiconsSVG).map((dashSymbol, index) => {
					let iconValue = renderToString(dashiconsSVG[dashSymbol]);
					return (
						<div
							key={index}
							className={`dlm-gutenberg-list-icon`}
							onClick={() => {
								setAttributes({
									icon: iconValue,
									hasIcon: true,
								});

							}}
							dangerouslySetInnerHTML={{
								__html: sanitize(iconValue, {
									USE_PROFILES: {
										svg: true,
										svgFilters: true,
									},
								}),
							}}
						></div>
					);
				})}
			</div>
		</div>
	);
};

export default IconPopover;
