import React from 'react';
import { sanitize } from 'dompurify';

export default function TemplateButton({ template, config }) {
	return (
		<button
			style={{
				backgroundImage: `linear-gradient(#${config.bg_color_1}, #${config.bg_color_2})`,
				border: `1px solid #${config.border_color}`,
				borderRadius: `${config.borderRadius}px`,
				fontFamily: config.font,
				color: `#${config.font_color}`,
				fontSize: config.font_size,
				padding: `1em 2em`,
				width: `30%`,
				textAlign: 'center',
				display: 'block',
			}}
		>
			<div
				dangerouslySetInnerHTML={{ __html: sanitize(config.text) }}
			></div>
		</button>
	);
}
