(function ($) {
	$(document).ready(function () {
		elementor.hooks.addAction(
			'panel/open_editor/widget/dlm_buttons_elementor',
			function (panel, model, view) {
				// Get the input with data-setting="dlm_version_select"
				let $downloadSelect = jQuery(
					'select[data-setting="dlm_download_select"]'
				);
				let $versionSelect = jQuery(
					'input[data-setting="dlm_version_select"]'
				);

				// Selectize the input with data-setting="dlm_download_select" and fetch the data

				// Add an on change event for the select with data-setting="dlm_download_select"
				$downloadSelect.change(function () {
					let selectedOptionValue = jQuery(this)
						.find('option:selected')
						.val();

					if ('none' === selectedOptionValue) return;
					let options = [];

					// Fetch the versions from the server
					$.ajax({
						url: `${dlm_buttons_elementor_ajax_object.ajax_getVersions}&download_id=${selectedOptionValue}`,
						success: async function (response) {
							// Loop through the versions and add them to the options array
							for (let i = 0; i < response.length; i++) {
								options.push({
									value: response[i].value,
									label: response[i].label,
								});
							}
							if ($versionSelect.hasClass('selectized')) {
								$versionSelect[0].selectize.destroy();
							}
							$versionSelect.selectize({
								valueField: 'value',
								labelField: 'label',
								searchField: 'value',
								preload: true,
								maxItems: 1,
								closeAfterSelect: true,
								options: options,
								onChange: (value) => {
									$versionSelect.val(value);
									$versionSelect.change();
								},
							});
						},
					});

					// Add an event when a person selects a version
				});
			}
		);
	});
})(jQuery);
