<?php

namespace ElementorDLMButtons;
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

class DLM_Buttons_Elementor_Widget_Activation {

	private static $_instance = null;

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	private function include_widgets_files() {
		require_once( DLM_BUTTONS_PATH . 'classes/Elementor/widgets/class-dlm-buttons-elementor.php' );
	}

	/**
	 * Register Widgets
	 *
	 * Register new Elementor widgets.
	 *
	 * @since  1.2.0
	 * @access public
	 */
	public function register_widgets() {
		$this->include_widgets_files();
		// Register Widgets
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\DLM_Buttons_Elementor_Widget() );
	}

	public function __construct() {

		// Register widgets
		add_action( 'elementor/widgets/widgets_registered', array( $this, 'register_widgets' ) );

		// Enqueue needed scripts for elementor Editor
        add_action( 'elementor/editor/before_enqueue_scripts', array($this, 'dlm_buttons_elementor_enqueue_editor_scripts' ));

		// Enqueue needed scripts and styles in Elementor preview
		add_action( 'elementor/preview/enqueue_scripts', array( $this, 'dlm_buttons_elementor_enqueue_scripts' ) );
		add_action( 'elementor/preview/enqueue_styles', array( $this, 'dlm_buttons_elementor_enqueue_styles' ) );

		// add_action('wp_ajax_dlm_buttons_elementor_ajax_search',array($this,'dlm_buttons_elementor_ajax_search'));

	}

    public function dlm_buttons_elementor_enqueue_editor_scripts() {

		// TODO ADD VERSION CONTROL

		// wp_enqueue_style( 'dlm-buttons-selectize-css', DLM_BUTTONS_URL . 'assets/css/selectize.min.css');
		// wp_enqueue_script( 'dlm-buttons-selectize', DLM_BUTTONS_URL . 'assets/js/selectize.min.js', array( 'jquery' ),'', true );
		// wp_enqueue_script( 'dlm-buttons-elementor-editor', DLM_BUTTONS_URL . 'assets/js/dlm-buttons-elementor.js', array( 'jquery' ),'', true );

		// wp_localize_script( 'dlm-buttons-elementor-editor', 'dlm_buttons_elementor_ajax_object', array(
		// 	'ajax_getVersions'  => \DLM_Ajax_Manager::get_ajax_url( 'get_versions' ),
		// ) );


    }

	/**
	 * Enqueue scripts in Elementor preview
	 */
	public function dlm_buttons_elementor_enqueue_scripts() {

	}

	/**
	 *  Enqueue styles in Elementor preview
	 */
	public function dlm_buttons_elementor_enqueue_styles() {

	}

	/* public function dlm_buttons_elementor_ajax_search() {

        if ('dlm_buttons_elementor_ajax_search' == $_POST['action']) {

        }

        wp_send_json_error();
    } */
}

// Instantiate Plugin Class
DLM_Buttons_Elementor_Widget_Activation::instance();
