<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

class DLM_Buttons_Rest {

	public function __construct() {
		add_action( 'rest_api_init', array( $this, 'register_routes' ) );
	}

	public function register_routes() {
		register_rest_route( 'wp/v2/dlm_buttons', 'templates', array(
			"methods" => "GET",
			"callback" => array( $this, "get_buttons_templates" ),
			'permission_callback' => '__return_true'
		)
		);
	}

	public function get_buttons_templates() {
		$button_repo = new DLM_Buttons_Config_Repository();
		$templates = $button_repo->retrieve();

		// Format templates for rest
		$templates_formatted = array();
		// for each
		foreach ($templates as $template) {
			$templates_formatted[] = array(
				'name' => $template->get_template_name(),
				'bg_color_1' => $template->get_bg_color_1(),
				'bg_color_2' => $template->get_bg_color_2(),
				'border_thickness' => $template->get_border_thickness(),
				'border_color' => $template->get_border_color(),
				'border_radius' => $template->get_border_radius(),
				'font' => $template->get_font(),
				'font_color' => $template->get_font_color(),
				'font_size' => $template->get_font_size(),
				'text' => $template->get_text(),
				'text_shadow' => $template->get_text_shadow(),
			);
		}

		return $templates_formatted;
	}

}

new DLM_Buttons_Rest();
